classification
Title: Add tests for parsing float and object arguments
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: mark.dickinson, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-05-10 18:58 by serhiy.storchaka, last changed 2016-05-16 07:24 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
test_getargs_floats_objects.patch serhiy.storchaka, 2016-05-10 18:58 review
Messages (2)
msg265261 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-10 18:58
Proposed patch adds tests for direct testing argument parsing C API with format units "f", "d", "D" (float, double, complex) and "S", "Y", "U" (PyObject* of type bytes, bytearray and str).
msg265675 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-16 07:12
New changeset 37d03507e9e9 by Serhiy Storchaka in branch '3.5':
Issue #26995: Added tests for "f", "d", "D", "S", "Y", and "U" format codes
https://hg.python.org/cpython/rev/37d03507e9e9

New changeset c3346c89f6d4 by Serhiy Storchaka in branch '2.7':
Issue #26995: Added tests for "f", "d", "D", "S", "Y", and "U" format codes
https://hg.python.org/cpython/rev/c3346c89f6d4

New changeset 8c973a2f4f50 by Serhiy Storchaka in branch 'default':
Issue #26995: Added tests for "f", "d", "D", "S", "Y", and "U" format codes
https://hg.python.org/cpython/rev/8c973a2f4f50
History
Date User Action Args
2016-05-16 07:24:18serhiy.storchakasetstatus: open -> closed
assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2016-05-16 07:12:59python-devsetnosy: + python-dev
messages: + msg265675
2016-05-11 10:21:29serhiy.storchakalinkissue26983 dependencies
2016-05-10 18:58:35serhiy.storchakacreate